CREATE  VIEW vw_products  
AS 
SELECT 
	tbl_products.int_product_id AS int_product_id, 
	tbl_products.txt_product_name AS txt_product_name, 
	tbl_products.txt_hsn_code AS txt_hsn_code, 
	tbl_products.int_by_user_id,
	tbl_opening.dat_opening AS dt_transaction, 
	tbl_opening.dec_quantity AS dbl_quantity 
FROM tbl_products 
	left join tbl_users on (tbl_products.int_by_user_id = tbl_users.int_user_id)
	left join tbl_opening on (tbl_opening.int_product_id = tbl_products.int_product_id);