$(document).ready(function(){

   ///----------------for getting variable from link---------------------

  $.urlParam = function(name){
    var results   =   new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
    if (results==null) {
            return null;
    }
    return decodeURI(results[1]) || 0;
  }

  $("#addButton").on("click",function(){
      var pid                      =     $('#pid').val();
      var storage_unit_name             =     $('#storage_unit_name').val();
      var storage_unit_capacity         =     $('#storage_unit_capacity').val();
      
      
      
      if(storage_unit_name == ''){
          $("#storage_unit_name").focus();
          $('#error_message').html("Please fill compulsory fields!");
          return false;
      }
    else if(storage_unit_capacity == ''){
          $("#storage_unit_name").focus();
          $('#error_message').html("Please fill compulsory fields!");
          return false;
      }

      else{
      
        $.ajax({
            url : DOMAIN+"/includes/storageUnitsPageProcess.php",
            method : "POST",
            data : {addFunctionRequest:1,
                      pid,
                      storage_unit_name,
                      storage_unit_capacity,
                      tokenSecretUser
      
                  },
            //dataType : "json",
            async: false,
            beforeSend: function() { 
                $("#addButton").prop('disabled', true); // disable button
              },
            success : function(data){
           //console.log(data);
              if (data) {
                $("#success_message").show();
                if(pid == 0){
                  $('#success_message').fadeIn().html("Added Successfully..!");  
                }else{
                  $('#success_message').fadeIn().html("Updated Successfully..!");
                }
                $("#addButton").prop('disabled', false);
                setTimeout(function(){  
                     $('#success_message').fadeOut("Slow");  
                     $('#pid').val('0');
                     $('#myModal').modal('toggle');
                     manageListFunction(1);
                    
                }, 2000);
                
               
              }
              else{
              $("#error_message").show();
                $('#error_message').html("Server not responding..Please try again"); 
                 setTimeout(function(){  
                     $('#error_message').fadeOut("Slow");  
                }, 2000);
              }
              
              
                
            }
        })
      }
  });

  $("body").delegate(".editButton","click",function(){
    var eid     =     $(this).attr("eid");
    fillFormFunction(eid)
  })
  function fillFormFunction(rid){    
    $.ajax({
      url : DOMAIN+"/includes/storageUnitsPageProcess.php",
      method : "get",
      dataType : "json",
      async: false,
      data : {fillFormRequest:1,id:rid},
      success : function(data){

        $('#pid').val(data["int_storage_unit_id"]);
        $('#storage_unit_name').val(data["txt_storage"]);
        $('#storage_unit_capacity').val(data["int_storage_capacity"]);
        
        }
    })
  }
  $('#dltAllRecordsid').on('click',function(){
   var records = [];

    // Get checked checkboxes
    $('#myTable input[type=checkbox]').each(function() {
      if (jQuery(this).is(":checked")) {
        var id = this.id;
        var splitid = id.split('_');
        var postid = splitid[1];
        records.push(postid);
        
      }
    });
   
   if(records.length > 0){ 
  
         $.ajax({
           url : DOMAIN+"/includes/storageUnitsPageProcess.php",
           method : "get",
           data : {deleteSelectedRequest:1,records:records},
           async: false,
           success : function(data){
            if (data!=0) {
              $('#myModalAllDelete').modal('toggle');
               $("#success_message").show();
              $('#success_message').fadeIn().html(" Deleted Successfully..!");  
                setTimeout(function(){  
                     $('#success_message').fadeOut("Slow");  
                }, 2000);
              manageListFunction(1);
              manageCardFunction(1);
            }else{
              $('#myModalAllDelete').modal('toggle');
              $("#error_message").show();
              $('#error_message').html("Cannot be Deleted"); 
               setTimeout(function(){  
                     $('#error_message').fadeOut("Slow");  
                }, 2000);
            }
               
           }
         })
       
     }
  });

   
  $("body").delegate("#deleteButton","click",function(){
    var did       =       $("#did").val();
   
      $.ajax({
        url : DOMAIN+"/includes/storageUnitsPageProcess.php",
        method : "get",
       // dataType : "json",
        data : {deleteRequest:1,id:did},
        success : function(data){
        //console.log(data);
          if (data!=0) {
            $('#myModalDelete').modal('toggle');
            $("#success_message").show();
            $('#success_message').fadeIn().html(" Deleted Successfully..!");  
              setTimeout(function(){  
                   $('#success_message').fadeOut("Slow");  
              }, 2000);
            manageListFunction(1);
            manageCardFunction(1);
          }else{
            $('#myModalDelete').modal('toggle');
            $("#error_message").show();
            $('#error_message').html("Cannot be Deleted!! This record is used in other files."); 
             setTimeout(function(){  
                   $('#error_message').fadeOut("Slow");  
              }, 2000);
          }
            
        }
      })
    
  })
   manageListFunction(1);
  function manageListFunction(pn){
    $.ajax({
      url : DOMAIN+"/includes/storageUnitsPageProcess.php",
      method : "get",
      data : {manageListRequest:1,search_option:0,pageno:pn},
      async: false,
      success : function(data){
        $("#get_list").html(data); 
          
      }
    })
    //countRowsToAdjustHeight();
  }
  manageCardFunction(1);
  function manageCardFunction(pn){
   
    $.ajax({
      url : DOMAIN+"/includes/storageUnitsPageProcess.php",
      method : "get",
      data : {manageCardRequest:1,search_option:0,pageno:pn},
      async: false,
      success : function(data){
        $("#get_card").html(data);   
      }
    })
  }
  $("body").delegate(".page-link","click",function(){
    var pn      =       $(this).attr("pn");
    manageListFunction(pn);
    manageCardFunction(pn);
  })
   function searchShowListFunction(option){
      var option      =   $('#search_option').val();
      $.ajax({
        url : DOMAIN+"/includes/storageUnitsPageProcess.php",
        method : "get",
        data : {manageListRequest:1,search_option:option,pageno:1},
        async: false,
        success : function(data){
          $("#get_list").html(data);  

        }
      })
  }
  function searchShowCardFunction(option){
      var option      =   $('#search_option').val();
      $.ajax({
        url : DOMAIN+"/includes/storageUnitsPageProcess.php",
        method : "get",
        data : {manageCardRequest:1,search_option:option,pageno:1},
        async: false,
        success : function(data){
          $("#get_card").html(data);  

        }
      })
  }

    $("body").delegate("#filterAllRecordsid","click",function(){ 
        
        searchShowListFunction();
        searchShowCardFunction();
  });
  function searchBox(search_option1,search_option2,search_option3){
    $.ajax({
      url : DOMAIN+"/includes/storageUnitsPageProcess.php",
      method : "get",
      data : {manageListSearchRequest:1,
              search_option1:search_option1,
              search_option2:search_option2,
              search_option3:search_option3,
              pageno:1
           },
      async: false,
      success : function(data){
        $("#get_list").html(data);  

      }
    })
  }
  function searchBoxCards(search_option1,search_option2,search_option3){
    $.ajax({
      url : DOMAIN+"/includes/storageUnitsPageProcess.php",
      method : "get",
      data : {manageCardSearchRequest:1,
              search_option1:search_option1,
              search_option2:search_option2,
              search_option3:search_option3,
              pageno:1
           },
      async: false,
      success : function(data){
        $("#get_card").html(data);  

      }
    })
  }
  $("body").delegate("#btnSearch"," click",function(){  
      var search_option1         =   $('#search_option1').val();
      var search_option2       =   $('#search_option2').val();
      var search_option3           =   $('#search_option3').val();
      searchBox(search_option1,search_option2,search_option3);
      searchBoxCards(search_option1,search_option2,search_option3);
  });
  $('#btnReset').on('click',function(){
      $(' input:text').val("");
      manageListFunction(1);
      manageCardFunction(1);
  })
  $('#myModal').on('hidden.bs.modal', function(e) {
       $('#pid').val('0');
        $("#myForm").trigger( "reset" );
        $("#myForm").removeData();
  });

  
  
})