<?php
include "config.php";

function getKeys($connection,$ref_table_name,$pk){
    //print("hello"); die();
    $row_string ="";
    $query = "SELECT TABLE_NAME, COLUMN_NAME ".
                " FROM information_schema.KEY_COLUMN_USAGE ".
                " WHERE REFERENCED_TABLE_NAME = '".$ref_table_name."'".
                " AND REFERENCED_COLUMN_NAME = '".$pk."';";

            $q = mysqli_query($connection, $query)or die("Error in table name: ". mysqli_error($connection));
            $rowcount=mysqli_num_rows($q);
		    $current_row=0;
            if($rowcount>0){
				$row_string .= "\t"."\t"."SELECT SUM(int_count) INTO int_ref_count FROM ("."\n";
			}
		    while ($row = mysqli_fetch_row($q)) {
		        $row_string .= "\t"."\t"."(Select count(".$row[1].") AS int_count FROM ".$row[0]." WHERE ".$row[1]. "=v".$pk.")\n";
		        if($current_row<$rowcount-1){
		            $row_string .= "\t"."\t"." UNION ALL"."\n";  
		        }else{
		            $row_string .= "\t"."\t"." ) qry; "."\n";  
		        }
		         
		         $current_row++;
		    }
		    if($rowcount==0){
				$row_string .= "\t"."\t"."DELETE FROM ".$ref_table_name." WHERE ".$pk."=v".$pk.";\n";
				$row_string .= "\t"."\t"."SET vintReturn = "."v".$pk.";"."\n";
			}else{
				$row_string .= "\t"."\t"."IF(int_ref_count> 0) THEN "."\n";
				$row_string .= "\t"."\t"."\t"."SET vintReturn = 0;"."\n";
				$row_string .= "\t"."\t"."ELSE "."\n";
				$row_string .= "\t"."\t"."\t"."DELETE FROM ".$ref_table_name." WHERE ".$pk."=v".$pk.";\n";
				$row_string .= "\t"."\t"."\t"."SET vintReturn = "."v".$pk.";"."\n";
				$row_string .= "\t"."\t"."END IF;"."\n";
			}

    return $row_string;
}
function generateSP($connection,$table_ref){
        $script_string="";
        $q = mysqli_query($connection, 'DESCRIBE '.$table_ref)or die("Error in describe: " . mysqli_error());
        $rowcount=mysqli_num_rows($q);
		$current_row=0;
        //$definition .= $rowcount."\n";
        $str_columns='';
        $str_values = '';
		$str_int_number='';
		$ysn_int_number=0;
        $pk=0;
        $str_insert_sp ='DELIMITER $$'."\n";
        $str_insert_sp .= 'CREATE PROCEDURE '.'sp_insert'.str_replace('tbl_','_',$table_ref).'('."\n";
        $str_update_sp ='DELIMITER $$'."\n";
        $str_update_sp .= 'CREATE PROCEDURE '.'sp_update'.str_replace('tbl_','_',$table_ref).'('."\n";
        $str_delete_sp = 'DELIMITER $$'."\n";
        $str_delete_sp .= 'CREATE PROCEDURE '.'sp_delete'.str_replace('tbl_','_',$table_ref).'('."\n";
        $str_exception_str ="";
        $str_exception_str .= "\t".'DECLARE EXIT HANDLER FOR SQLEXCEPTION'."\n";
		$str_exception_str .= "\t".'BEGIN'."\n";
		$str_exception_str .= "\t"."\t".'SET vintReturn = 0;'."\n";
	    $str_exception_str .= "\t"."\t".'SHOW ERRORS;'."\n";
		$str_exception_str .= "\t"."\t".'ROLLBACK;'."\n";
		$str_exception_str .= "\t".'END;'."\n";
		$str_exception_str .= "\t".'DECLARE EXIT HANDLER FOR SQLWARNING'."\n";
		$str_exception_str .= "\t".'BEGIN'."\n";
		$str_exception_str .= "\t"."\t".'SET vintReturn = 0;'."\n";
		$str_exception_str .= "\t"."\t".'SHOW ERRORS;'."\n";
		$str_exception_str .= "\t"."\t".'ROLLBACK;'."\n";
		$str_exception_str .= "\t".'END;'."\n";
        $str_update_query='';
        while($row = mysqli_fetch_row($q)) {
			$str_columns .= $row[0];
			
			if($current_row<$rowcount-1){
			    $str_update_sp .= "\t".'in v'.$row[0].' '.$row[1].','."\n";
			    if($current_row==0){
			        $pk= $row[0];
			        $str_delete_sp .= "\t"."in v".$pk." INT,"."\n";
			        $str_delete_sp .= "\t"."out vintReturn INT)"."\n";
			        $str_columns .= ', ';
				    $str_values .= ', ';  
			    }else{
			        $str_values .= 'v'.$row[0];
			      	$str_insert_sp .= "\t".'in v'.$row[0].' '.$row[1].','."\n"; 
				    $str_columns .= ', ';
				    $str_values .= ', ';  
				    $str_update_query .= $row[0].'=v'.$row[0].', ';
			    }
			}else{
			    $str_values .= 'v'.$row[0];
				$str_insert_sp .= "\t".'in v'. $row[0].' '.$row[1].','."\n";
				$str_insert_sp .= "\t".'out vintReturn INT)'."\n";
				$str_insert_sp .= 'BEGIN'."\n";
				$str_insert_sp .= "\t".'DECLARE int_next_id int;'."\n";
				$str_insert_sp .= "\t".'DECLARE int_fy int;'."\n";
				$str_insert_sp .= $str_exception_str;

				$str_insert_sp .= "\t".'START TRANSACTION;'."\n";
				$str_insert_sp .= "\t".'SELECT (ifnull(MAX('.$pk.'),0)+1) into int_next_id FROM '. $table_ref.';'."\n";
				$str_insert_sp .= "//int_number//";
				$str_insert_sp .= "\t".'INSERT INTO '.$table_ref.'('."\n";
				$str_insert_sp .= "\t".$str_columns.')'."\n";
				$str_insert_sp .= "\t".' VALUES ('."\n";
				$str_insert_sp .= "\t".'int_next_id'.$str_values.');'."\n";
				$str_insert_sp .= "\t".'COMMIT;'."\n";
				$str_insert_sp .= 'SET vintReturn = int_next_id;'."\n";
				$str_insert_sp .= 'SELECT vintReturn;'."\n";
				$str_insert_sp .= 'END$$'."\n";
				$str_insert_sp .= 'DELIMITER ;'."\n";
				
				//update SP
				$str_update_query .= $row[0].'= v'.$row[0]."\n";
				$str_update_query .= "\t".'WHERE '.$pk.'=v'.$pk;
				$str_update_sp .= "\t".'in v'. $row[0].' '.$row[1].','."\n";
				$str_update_sp .= "\t".'out vintReturn INT)'."\n";
				$str_update_sp .= 'BEGIN'."\n";
				
				$str_update_sp .= $str_exception_str;
				$str_update_sp .= "\t".'START TRANSACTION;'."\n";
				$str_update_sp .= "\t".'UPDATE '.$table_ref.' set'."\n";
				$str_update_sp .= "\t"."\t".$str_update_query.";\n";
				$str_update_sp .= "\t".'COMMIT;'."\n";
				$str_update_sp .= "\t".'SET vintReturn = v'.$pk.';'."\n";
				$str_update_sp .= "\t".'SELECT vintReturn;'."\n";
				$str_update_sp .= 'END$$'."\n";
				$str_update_sp .= 'DELIMITER ;'."\n";
				
				//delete SP
				$str_delete_sp .= 'BEGIN'."\n";
				$str_delete_sp .= "\t".'DECLARE int_ref_count int;'."\n";
				$str_delete_sp .= $str_exception_str;
				$str_delete_sp .= "\t".'START TRANSACTION;'."\n";
				$str_delete_sp .= getKeys($connection,$table_ref,$pk);
				$str_delete_sp .= "\t".'COMMIT;'."\n";
				$str_delete_sp .= "\t".'SELECT vintReturn;'."\n";
				$str_delete_sp .= 'END$$'."\n";
				$str_delete_sp .= 'DELIMITER ;'."\n";
				
			}
			if($row[0]=='int_number'){
				$str_int_number = "\t"."if (vint_number is null) then"."\n";
				$str_int_number .= "\t"."\t"."SELECT (ifnull(MAX(int_number),0)+1) into vint_number FROM ".$table_ref.";\n";
				$str_int_number .= "\t"."end if;"."\n";
				$str_int_number .= "\t"."SELECT YEAR(DATE_SUB(vdt_transaction,INTERVAL -3 MONTH)) into int_fy;"."\n";
				$str_int_number .= "\t"."Select concat( int_fy, '-',right((int_fy+1) ,2))  into vtxt_formatted_number;"."\n";
				$ysn_int_number = 1;
			}
			$current_row ++;
            //$definition ="Field: ".$row[0]." Type:".$row[1]."Key:".$row[3]."Default:".$row[4]."\n";
            $str_insert_sp = str_replace("//int_number//",$str_int_number, $str_insert_sp);
        }
		if($ysn_int_number=1){
			$str_update_sp = str_replace('int_number=vint_number, txt_formatted_number=vtxt_formatted_number,','',$str_update_sp);
		}
        $script_string .=$str_insert_sp."\n".$str_update_sp."\n".$str_delete_sp;
        return $script_string;
}
$table_name="";
$definition= '';
if($_REQUEST['table_id']) {
    $table_name = $_REQUEST['table_id'];
    $table_array = explode(',', $table_name);
    foreach($table_array as $array_item) {
        $definition .=generateSP($con,$array_item);
        //echo $array_item."\n";
    }
    //$definition=$table_name."\n";
}

echo $definition;