<?php
include_once("./config/constants.php");

if (!isset($_SESSION["userid"])) {
  header("location:".DOMAIN."/");
}
 include 'layouts/header.php';
 
include 'layouts/navbar.php';
include 'layouts/commonTools.php';
$_SESSION['title_name'] ='Reaction';
?>


<input type="hidden" name="title_name" id="title_name" value="<?php echo $_SESSION['title_name'];?>" />
     <span  data-toggle="tooltip" data-html="true" data-placement="top" title="Add New Record" class="float-right">
          <button type="button" class="btn  btn-sm  " data-toggle="modal" data-target="#myModal"><i class='fas fa-plus' style='font-size:14px'></i></button>
     </span>
     <input type="text" class="form-control form-control-sm float-right col-sm-4" name="search_item" id="search_item"/>
</div>
</div>
<hr class="featurette-divider">
  <div class="row font-weight-bold " id="messageBox"> 
 
    <div id="success_message" class="text-white rounded col-sm-12 " style="display: none;" ></div>
    <div id="error_message" class="text-white rounded col-sm-12 " style="display: none;"></div>
</div>

<div  class="col-sm-12 p-0" id="table-area"> 
  <table class="table-sm table-bordered border col-sm-12" id="myTable">   
        <thead class="text-left">
          <th class="text-center"><input type="checkbox" class="form-control-md" id="selectAllCmb" /></th> 
          <th>Date</th>
          <th>Reactor Name</th>
		  <th>Feed</th>
		  <th>Batch No</th> 
          <th>Hypo Name</th>
          <th>Hypo Qty</th>
          <th>LM</th>
          <th>DLM</th>
          <th>Menthone</th>
          <th>Time</th>
          <th>DL Qty</th>
          <th>Temperature</th>
          <th>Sign 1</th>
          <th>Sign 2</th>
          <th>Remarks</th>
          <th></th>
		</thead>
      <tbody id="get_list" class="text-center">
          
      </tbody>            
    </table>          
</div>
<!---------------------------------------- popup for add record ---------------------------------------------- -->
	<div class="modal fade hide " id="myModal" role="dialog">
		<div class="modal-dialog modal-md modal-dialog-scrollable">
			<div class="modal-content ">
				<div class="modal-body">
					<div class="row">
						<div class="col"><h6 class="text-bold">Reaction</h6></div>
						<div class="col text-right">
							<input class="btn btn-sm btns form-control-sm mr-1" type="submit" id="addButton" name="addButton" value="Save">       
							<input type="button" class="btn btn-sm  btn_close form-control-sm" id="closeButton" data-dismiss="modal" value="Close">
						</div>
					</div>
					<hr class="featurette-divider">          
					<div class="row font-weight-bold " id="messageBox"> 
						<div id="success_message_modal" class="text-white rounded col-sm-12 " style="display: none;" ></div>
						<div id="error_message_modal" class="text-white rounded col-sm-12 " style="display: none;"></div>                 
					</div>
					<div id="form-content">
						<form id="myForm" onsubmit="return false" class="p-2 entryform form">
							<input type="hidden" name="rid" id="rid" value="0">
							<div class="row">
							  <label for="reactor_st_date" class="col-sm-4">Start Date*</label>
							  <div class="col-sm-8">
								<input type="date" id="reactor_st_date" name="reactor_st_date" class="form-control form-control-sm " value="<?php echo date('Y-m-d')?>" />
							  </div>
							</div>
							<div class="row">
								<label for="reaction_id" class="col-sm-4">Reaction </label>
								<div class="col-sm-8">                       
									<select class="form-control form-control-sm " id="reaction_id" name="reaction_id"></select>      
								</div>
							</div>
							<div class="row">
							  <label for="reactor_feed" class="col-sm-4">Feed</label>
							  <div class="col-sm-8">
								 <input type="number" id="reactor_feed" name="reactor_feed" class="form-control form-control-sm " />     
							  </div>
							</div>
					 
							<div class="row">
							  <label for="reactor_batch_no" class="col-sm-4">Batch No.</label>
							  <div class="col-sm-8">
								<input type="text" id="reactor_batch_no" name="reactor_batch_no" class="form-control form-control-sm " value="" />
							  </div>
							</div> 
							<div class="row">
							  <label for="reactor_hypo_name" class="col-sm-4">Hypo Name</label>
							  <div class="col-sm-8">
								<input type="text" id="reactor_hypo_name" name="reactor_hypo_name" class="form-control form-control-sm " value="" />
							  </div>
							</div> 
							<div class="row">
							  <label for="reactor_hypo_qty" class="col-sm-4">Hypo Qty</label>
							  <div class="col-sm-8">
								<input type="number" id="reactor_hypo_qty" name="reactor_hypo_qty" class="form-control form-control-sm " value="" step="0.001"/>
							  </div>
							</div> 
							<div class="row">
							  <label for="reactor_lm" class="col-sm-4">LM</label>
							  <div class="col-sm-8">
								<input type="number" id="reactor_lm" name="reactor_lm" class="form-control form-control-sm " value="" step="0.001"/>
							  </div>
							</div> 
							<div class="row">
							  <label for="reactor_dlm" class="col-sm-4">DLM</label>
							  <div class="col-sm-8">
								<input type="number" id="reactor_dlm" name="reactor_dlm" class="form-control form-control-sm " value="" step="0.001"/>
							  </div>
							</div> 
							<div class="row">
							  <label for="reactor_menthone" class="col-sm-4">Menthone</label>
							  <div class="col-sm-8">
								<input type="number" id="reactor_menthone" name="reactor_menthone" class="form-control form-control-sm " value="" step="0.001"/>
							  </div>
							</div>
							<div class="row">
							  <label for="reactor_time" class="col-sm-4">Time</label>
							  <div class="col-sm-8">
								<input type="number" id="reactor_time" name="reactor_time" class="form-control form-control-sm " value="" step="0.001"/>
							  </div>
							</div>
							<div class="row">
							  <label for="reactor_dl" class="col-sm-4">DL</label>
							  <div class="col-sm-8">
								<input type="number" id="reactor_dl" name="reactor_dl" class="form-control form-control-sm " value="" step="0.001"/>
							  </div>
							</div>
							<div class="row">
							  <label for="reactor_temperature" class="col-sm-4">Temperature</label>
							  <div class="col-sm-8">
								<input type="text" id="reactor_temperature" name="reactor_temperature" class="form-control form-control-sm " value="" />
							  </div>
							</div>                  
							<div class="row">
							  <label for="reactor_remarks" class="col-sm-4">Remarks</label>
							  <div class="col-sm-8">
								 <textarea  id="reactor_remarks" name="reactor_remarks" class="form-control form-control-sm " ></textarea>     
							  </div>
							</div>                 
							<div class="row" id="modal-bottom">
								<div class="col-sm-6 ">
								  <small class="font-normal float-left">Fill required fields(*)</small>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
<!-- ----------------------------------End------------------------------------------------------------------ -->

<?php include 'layouts/footer.php' ?>
<script type="text/javascript">
  document.title ="Reaction";
  $('#titlePage').html( 'Reaction'); 
</script>
<script type="text/javascript" rel="stylesheet" src="./js/reactionPageJs.js"></script>