<?php

/**
* 
*/
class Manage
{
	
	private $con;

	function __construct()
	{
		include_once("../config/connection.php");
		$this->db = new Database();
		
	}
	public function manageSelectedRecordWithPagination($reportType,$dt_Start,$dt_end,$product_id,$party_id,$pno,$setRecordNumberToShow){
		$this->con = $this->db->connect();
	 	$dt_Start=trim($dt_Start);
	 	$dt_end=trim($dt_end);
	 	
		if($reportType==1 || $reportType==5){
			$sqlCount="call sp_purchase_report1(".$party_id.",".$product_id.",'".$dt_Start."','".$dt_end."')";
			$a = $this->pagination($this->con,$sqlCount,$pno,$setRecordNumberToShow);
			$sql="call sp_purchase_report1(".$party_id.",".$product_id.",'".$dt_Start."','".$dt_end."')";
			
		}elseif ($reportType == 2) {
			$sqlCount="call sp_sale_report(".$product_id.",".$party_id.",'".$dt_Start."','".$dt_end."')";
			$a = $this->pagination($this->con,$sqlCount,$pno,$setRecordNumberToShow);
			$sql="call sp_sale_report(".$product_id.",".$party_id.",'".$dt_Start."','".$dt_end."')";
		}elseif ($reportType == 3) {
			$sqlCount="call sp_drum_report('drum',".$product_id.",'".$dt_Start."','".$dt_end."')";
			$a = $this->pagination($this->con,$sqlCount,$pno,$setRecordNumberToShow);
			$sql="call sp_drum_report('drum',".$product_id.",'".$dt_Start."','".$dt_end."')";
		}elseif ($reportType == 4) {
		    $sqlCount="call sp_current_stock_report(".$product_id.",'".date("Y-m-d")."')";
			$a = $this->pagination($this->con,$sqlCount,$pno,$setRecordNumberToShow);
			$sql="call sp_current_stock_report(".$product_id.",'".date("Y-m-d")."')";
			
		}elseif ($reportType == 6) {
			$sqlCount="call sp_stockmove_report(".$product_id.",'".$dt_Start."','".$dt_end."')";
			$a = $this->pagination($this->con,$sqlCount,$pno,$setRecordNumberToShow);
			$sql="call sp_stockmove_report(".$product_id.",'".$dt_Start."','".$dt_end."')";
			
		}
		$this->con = $this->db->connect();
		$result = $this->con->query($sql) or die($this->con->error);
		$rows = array();
		if($result->num_rows > 0){
			while ($row = $result->fetch_assoc()) {
				$rows[] = $row;
				//echo $row;
			}
		}
		$this->con = $this->db->connect();
		$resultCount = $this->con->query($sqlCount) or die($this->con->error);
		$totalRecords=0;
		$i=0;
		while ($row = $resultCount->fetch_assoc()) {
				$totalRecords = $row;
				//echo $row;
				$i++;
			}
		return ["rows"=>$rows,"pagination"=>$a["pagination"],"totalRecords"=>$totalRecords,'totalRows'=>$a['totalRows']];

	}

	private function pagination($con,$sqlQuery,$pno,$n){
		$query = $con->query($sqlQuery);
		//$row = mysqli_fetch_assoc($query);
		//$row = mysqli_fetch_row($query); 
		//$totalRecords = 100000;
		$row = mysqli_num_rows($query); 
		$pageno = $pno;
		$numberOfRecordsPerPage = $n;
		//echo $row[0],$n;
		//$last = ceil($row[0]/$numberOfRecordsPerPage);
		$last = ceil($row/$numberOfRecordsPerPage);
		//echo $last;

		$pagination = "<ul class='pagination font-weight-normal'>";

		if ($last != 1) {
			if ($pageno > 1) {
				$previous = "";
				$previous = $pageno - 1;
				$pagination .= "<li class='page-item'><a class='page-link' pn='".$previous."' href='#' aria-label='Previous'> <span aria-hidden='true'>&laquo;</span><span class='sr-only'>Previous</span> </a></li></li>";
			}
			for($i=$pageno - 5;$i< $pageno ;$i++){
				if ($i > 0) {
					$pagination .= "<li class='page-item'><a class='page-link' pn='".$i."' href='#'> ".$i." </a></li>";
				}
				
			}
			$pagination .= "<li class='page-item'><a class='page-link' pn='".$pageno."' href='#' style='color:#333;'> $pageno </a></li>";
			for ($i=$pageno + 1; $i <= $last; $i++) { 
				$pagination .= "<li class='page-item'><a class='page-link' pn='".$i."' href='#'> ".$i." </a></li>";
				if ($i > $pageno + 4) {
					break;
				}
			}
			if ($last > $pageno) {
				$next = $pageno + 1;
				$pagination .= "<li class='page-item'><a class='page-link' pn='".$next."' href='#' aria-label='Next'> <span aria-hidden='true'>&raquo;</span><span class='sr-only'>Next</span> </a></li>";
			}
		}
	//LIMIT 0,10
		//LIMIT 20,10
		$limit = "LIMIT ".($pageno - 1) * $numberOfRecordsPerPage.",".$numberOfRecordsPerPage;

		return ["pagination"=>$pagination,"limit"=>$limit,'totalRows'=>$row];
	}
	public function showNoOfRecords($rows,$pageno,$totalRecords,$totalRows,$setRecordNumberToShow)
	{
		$noOfSetRecords= count($rows);
		$startRecordNo=1;
		$lastRecordNo=$noOfSetRecords;
		$showRecords='<span id="showNoOfRecords">';
		$totalRecordsCount=$totalRows;
		/*foreach ($totalRecords as $totalRecord){
			$totalRecordsCount= $totalRecord;
		}*/
		$last = ceil($totalRecordsCount/$setRecordNumberToShow);
		if ($pageno>1){
			
				$startRecordNo	=	(($lastRecordNo*$pageno) - $noOfSetRecords) + 1;
				$lastRecordNo 	= 	$startRecordNo + $noOfSetRecords -1;
				if($pageno == $last){
					$startRecordNo	=	$totalRecordsCount - $noOfSetRecords +1;
					$lastRecordNo 	= 	$totalRecordsCount;
			}
			
		}
		$showRecords .="<li class='p-2'>Showing ".$startRecordNo."-".$lastRecordNo."  of  ".$totalRecordsCount."</span></li></ul>";
		return $showRecords;
	}
	
   	public function showRows($rows,$reportType,$pageno,$pagination,$showRecords)
	{
		if (count($rows) > 0) {
		$n = (($pageno - 1) * 5)+1;
		$product_id=0;
		foreach ($rows as $index => $row) {
			if($reportType=="1"){
			    if($row["product_name"]){?>
    				<tr class="text-left">
    			      	<td><?php echo date_format(date_create($row['dat_transaction']),'d-m-Y');?></td>
    			        <td><?php echo $row["purchase_no"]; ?></td>
    			        <td><?php echo $row["party_name"]; ?></td>
    			        <td><?php echo $row["product_name"]; ?></td>
    			        <td class="text-right"><?php echo $row["quantity"]; ?></td>
    			        <td class="text-right"><?php echo $row["rate"]; ?></td>
    			        <td class="text-left"><?php echo $row["txt_remarks"]; ?></td>
    			    </tr>
			
			    <?php
				}else{
					echo'<tr class="text-left text-bold">
						
						<td colspan=3 class="text-center"> Total Purchase Amount </td>
						<td class="text-right">'. $row["quantity"].'</td>
					</tr>';
				}
			}elseif($reportType=="2"){
				?>
				<tr class="text-left">
					<td><?php echo date_format(date_create($row['dat_transaction']),'d-m-Y');?></td>
			        <td><?php echo $row["party_name"]; ?></td>
			        <td ><?php echo $row["Sale_no"]; ?></td>
			        <td ><?php echo $row["product_name"]; ?></td>
			        <td class="text-right"><?php echo $row["quantity"]; ?></td>
			        
			    </tr>
			<?php
			}elseif($reportType=="3"){
			    if($index==0){
						echo'<tr class="text-left" style="background: #ccc;">   
			    	
							<td colspan="8">'.$row['product_name'].'</td>
						</tr>';
					}else if($row['product_name']!=$rows[$index-1]['product_name']){
						echo'<tr class="text-left" style="background: #ccc;">   
			    	
							<td colspan="8">'.$row['product_name'].'</td>
						</tr>';
						
					}
				?>
				<tr class="text-left">
					<td><?php echo date_format(date_create($row['dat_transaction']),'d-m-Y');?></td>
			        <td><?php echo $row["drum_tag"]; ?></td>
			        <td class="text-right"><?php echo $row["stock_in"]; ?></td>
			        <td class="text-right"><?php echo $row["stock_out"]; ?></td>
			        <td ><?php echo $row["remark"]; ?></td>
			        <td ><?php echo $row["production_unit"]; ?></td>
			        <td ><?php echo $row["batch_no"]; ?></td>
			    </tr>
			<?php
			}elseif($reportType=="4"){
				/*$new_product_id_to_show_total_qty=0;
				$new_product_countto_show_total_qty=0;
				$m = new Manage();
				$rowsProduct = $m->runQuery("SELECT int_product_id, count(`int_product_id`) as countednumber FROM `vw_current_stock` where dt_transaction='".$row['dt_transaction']."' group by int_product_id");
				foreach ($rowsProduct as $rowProduct) {
					$new_product_id_to_show_total_qty=$rowProduct["int_product_id"];
					$new_product_countto_show_total_qty=$rowProduct["countednumber"];
				}*/
			
				/*if($product_id==$row['int_product_id']){
					$total_qty = $total_qty+$row["dbl_qty"];
				}
				if($product_id!=$row['int_product_id']){
				?>
				<tr class="text-left"><td colspan="3"><?php echo "Product: ".$row["txt_product_name"]; ?></td></tr>
				<?php 
					}*/
					if($index==0){
						echo'<tr class="text-left" style="background: #fff;">   
			    	
							<td colspan="6">'.$row['product_name'].'</td>
						</tr>';
					}else if($row['product_name']!=$rows[$index-1]['product_name']){
						echo'<tr class="text-left" style="background: #fff;">   
			    	
							<td colspan="6">'.$row['product_name'].'</td>
						</tr>';
						
					}
					$total_qty+=$row["quantity"];
				?>
			    <tr>   
			    	<td><?php echo $row["opening"]; ?></td>
			    	<td><?php echo $row["purchase"]; ?></td>
			        <td><?php echo $row["drum"]; ?></td>
			        <td><?php echo $row["tank"]; ?></td>
			        <td class="text-right"><?php echo $row["quantity"]; ?></td>
			    </tr>
			    <?php 
			   // if($product_id!=$row['int_product_id']){
			    	?>
			  <!--   <tr class="text-right" style="background: grey;">   
			    	
			        <td colspan="6"><?php echo $total_qty; ?></td>
			    </tr> -->
			    <?php 
				if($index==0 && $row['product_name']!= $rows[$index+1]['product_name']){
						echo $row['product_name'];
						echo $rows[$index-1]['product_name'];
						echo'<tr class="text-right font-weight-bold" style="background: #ccc;">   
			    	
							<td colspan="6">'.$total_qty.'</td>
						</tr>';
						$total_qty=0.000;
					}else if($row['product_name']!= $rows[$index+1]['product_name'] && $index!=0){
						echo'<tr class="text-right font-weight-bold" style="background: #ccc;">   
			    	
							<td colspan="6">'.$total_qty.' </td>
						</tr>';
						$total_qty=0.000;
					}
			
			}elseif($reportType=="5"){
				?>
				<tr class="text-left"><td colspan="3"><?php echo $row["product_name"]; ?></td></tr>
				<tr class="text-left">
			      	<td colspan="3" ><?php
			      	            if($row["party_name"]){
			      	            echo "Supplier: ".$row["party_name"]."   NO: ".$row["purchase_no"]."  on date:  ".date_format(date_create($row['dat_transaction']),'d-m-Y');}
			      	            else{
			      	                    echo'Total Purchase Amount';
			      	               }?></td>
			    </tr>
			    <tr class="text-right" style="background: grey; color:#fff">   
			    	<td><?php echo $row["gross_weight"]; ?></td>
			    	<td><?php echo $row["tare_weight"]; ?></td>
			        <td><?php echo $row["quantity"]; ?></td>
			    </tr>
			    <!--<tr class="text-right" >   
			    	<td></td>
			    	<td></td>
			        <td><?php echo $row["quantity"]; ?></td>
			    </tr>-->
			<?php
			}elseif($reportType=="6"){
				?>
				<!-- <tr class="text-left"><td colspan="3"><?php echo "Product: ".$row["product_name"]; ?></td></tr> -->
			    <tr class="text-right"> 
			    	<td><?php echo date_format(date_create($row['dat_transaction']),'d-m-Y');?></td>  
			    	<td><?php echo $row["quantity"]; ?></td>
			    	<td><?php if($row["int_source_opening_id"])
			    			{
			    				echo $row["product_name"];
			    		} ?></td>
			    	<td><?php echo $row["src_purc_no"]; ?></td>
			        <td><?php echo $row["src_storage"]; ?></td>
			        <td><?php  if($row["src_drum_tag"]!='null')
			        		{
			        			echo $row["src_drum_tag"];
			        	} ?></td>
			        <td><?php echo $row["src_batch_no"]; ?></td>
			        <td><?php if($row["int_target_opening_id"])
			    			{
			    				echo $row["product_name"];
			    		} ?></td>
			    	<td><?php echo $row["tar_purc_no"]; ?></td>
			        <td><?php echo $row["sales_order_no"]; ?></td>
			        <td><?php echo $row["tar_storage"]; ?></td>
			        <td><?php if($row["tar_drum_tag"]!='null')
			        		{
			        			echo $row["tar_drum_tag"];
			        	}; ?></td>
			        <td><?php echo $row["tar_batch_no"]; ?></td>
					<td><?php echo $row["remark"]; ?></td>
			    </tr>  
			<?php
			}
		}
			$n++;
		}
		?>
			<tr  id="pagination" class="p-1"><th colspan="15"><?php echo $pagination; ?><?php echo $showRecords; ?></th></tr>
		<?php
		exit();
	}
	public function getSingleRecord($table,$pk,$id){
		$this->con = $this->db->connect();
		$pre_stmt = $this->con->prepare("SELECT * FROM ".$table." WHERE ".$pk."= ? LIMIT 1");
		$pre_stmt->bind_param("i",$id);
		$pre_stmt->execute() or die($this->con->error);
		$result = $pre_stmt->get_result();
		if ($result->num_rows == 1) {
			$row = $result->fetch_assoc();
		}
		return $row;
	}
	public function runQuery($query) {
		$this->con = $this->db->connect();
        $result = mysqli_query($this->con, $query);
        if($result){
	        while($row=mysqli_fetch_assoc($result)) {
	            $resultset[] = $row;
	        }
	        if(!empty($resultset))
	            return $resultset;
	    }
    }
	
}

if (isset($_GET["getParty"])) {
	$m = new Manage();
	$rows = $m->runQuery("SELECT `int_party_id`, `txt_name` FROM `tbl_parties`");
	foreach ($rows as $row) {
		echo "<option value='".$row["int_party_id"]."'>".$row["txt_name"]."</option>";
	}
	exit();
}
if (isset($_GET["getProduct"])) {
	$m = new Manage();
	$rows = $m->runQuery("SELECT `int_product_id`, `txt_product_name` FROM `tbl_products`");
	foreach ($rows as $row) {
		echo "<option value='".$row["int_product_id"]."'>".$row["txt_product_name"]."</option>";
	}
	exit();
}
if (isset($_GET["manageListRequest"])) {
    $pagerow=50;
    $data=array();
	$m = new Manage();
	$result = $m->manageSelectedRecordWithPagination($_GET["reportType"],$_GET["dt_Start"],$_GET["dt_end"],$_GET["product_id"],$_GET["party_id"],$_GET["pageno"],$pagerow);
	$rows = $result["rows"];
	$pageno=$_GET["pageno"];
	$pagination = $result["pagination"];
	$totalRecords=$result['totalRecords'];
	$totalRows=$result['totalRows'];
	
	$k=(($pagerow*$pageno)- $pagerow);

	$j=$k+$pagerow-1;
	for ($i=$k;$i<=$j;$i++) {
		if($i==$totalRows){
			break;
		}
			$data[] = $rows[$i];		
		
	}
	$showRecords = $m->showNoOfRecords($data,$_GET["pageno"],$totalRecords,$totalRows,$pagerow);
	$m->showRows($data,$_GET["reportType"],$pageno,$pagination,$showRecords);
	
	
}


?>